Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Delete Existing Destination

DELETE/destinations/{destination_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
destination_idstringrequired
Query parameters
waitboolean

When False (default), mark the connector for deletion and return immediately; desired_state is Pending Delete until it is removed from Kafka Connect. When True, wait for the removal.

default: false
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X DELETE 'https://api.streamkap.com/destinations/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Successful Response